<?php
/**
* @copyright	Copyright (C) 2022 SiteGuarding.com
* @license		GNU/GPL, see LICENSE.php
* @contact		team@siteguarding.com
* @author		SiteGuarding.com
*/

defined( '_JEXEC' ) or die( 'Restricted access' );

/**
 * Speedup Optimization Plugin
 */
 
include JPATH_ADMINISTRATOR . DIRECTORY_SEPARATOR . 'components' . DIRECTORY_SEPARATOR . 'com_speedup' . DIRECTORY_SEPARATOR . 'functions.php';
 
if(class_exists('JPlugin')) {
    class DynamicParentSpeedupPlugin extends JPlugin {}
} else {
    class DynamicParentSpeedupPlugin extends Joomla\CMS\Plugin\CMSPlugin {}
} 
 
	
class plgSystemSpeedup extends DynamicParentSpeedupPlugin
{	

	protected $autoloadLanguage = true;

	public function onAfterInitialise()
	{
	    $index_file = JPATH_ROOT.'/index.php';
        if (filesize($index_file) < 1600)
        {
            speedup01_Install_core_files();
        }

	}
	



}

